Download it now!
Bug 125451 - The updater has never worked for me and manual updating is extremely cumbersome
Summary: The updater has never worked for me and manual updating is extremely cumbersome
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Updates
  Show dependency treegraph
 
Reported: 2019-05-23 02:42 UTC by nicholas_j
Modified: 2020-06-05 16:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (49.01 KB, image/png)
2019-05-23 19:39 UTC, nicholas_j
Details
Update Checker (6.13 KB, image/png)
2019-05-24 09:16 UTC, Heiko Tietze
Details
dialog showing an update and clear indication for 'manual' download (13.22 KB, image/png)
2020-06-05 16:23 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nicholas_j 2019-05-23 02:42:04 UTC
The update built into LibreOffice has never worked for me in all the years I have had Libre Office. In lieu of that, in order to update (unless I use appImage or similar), I must:

download from your website an archive of the main files
download from your website an archive of the appropriate language pack
download from your website an archive of the help materials
extract all three of those archives
located within each archive the .deb files
install all of those .deb files from a terminal

Surely this is too much. Please, either get the updater to work or else streamline the process somewhat. A PPA would not go amiss (though of course it would serve only some Linux users). Were you to make upgrading/installation eaiser, then you would be increase the number of your users, surely.
Comment 1 nicholas_j 2019-05-23 02:42:58 UTC
I should say I am on Linux Mint 19.1 Cinnamon (but the updater has failed to work on all version of that OS that I have tried, starting with, I think, Mint version 17).
Comment 2 Julien Nabet 2019-05-23 08:05:42 UTC
IHMO, update feature should be removed for Linux builds (I use Debian testing so nothing against Linux :-))
Indeed, on Linux you should only use repository or ppa.
About rpm, deb, ..., it's more for experts or power users who are ready to deal with dependencies management.
About appImage, Flatpak, ... I don't know how it works and don't have opinion.

Heiko/Xisco: any thoughts here?
Comment 3 Heiko Tietze 2019-05-23 08:09:37 UTC
I support this (would never spoil my Arch Linux with app internal update) and will bring it up to the ESC.
Comment 4 Heiko Tietze 2019-05-23 08:14:10 UTC
Wait a second, what Linux updater and what exactly is not working?
Comment 5 Heiko Tietze 2019-05-23 14:23:11 UTC
From the ESC discussion

      + assume this is never seen in distro builds (Michael)
        + always only had the check-for-updates (Christian)
           + are they talking about this feature ?
           + or the un-released experimental incremental update from Markus
               + that’s not on Linux (Heiko)
        + works on Linux – only for daily builds (Xisco)
        + won’t get rid of update is available thing (Christian)
           + can improve the UI of course but … it stays.


In a nutshell, the is an updater for daily builds that shouldn't be intro distro builds. And there is the baloon tip on new releases pointing to our download site. What exactly is the problem?
Comment 6 nicholas_j 2019-05-23 19:39:19 UTC
Created attachment 151641 [details]
Screenshot
Comment 7 nicholas_j 2019-05-23 19:43:36 UTC
> In a nutshell, the is an updater for daily builds that shouldn't be intro distro builds. And there is the baloon tip on new releases pointing to our download site. What exactly is the problem?

The problem is that my version of LibreOffice contains an updater that has never  once worked . Or so I seem to recall. I have used both the builds from the repositories of my distribution (Mint) and builds from .debs.

Or rather: that - there is an updater that does not work - is *one* problem.

Another problem can be expressed as follows. Were the broken updater to be 'fixed' by being removed, then the problem of cumbersome updates would remain (unless one uses appImages or similar).

Also - call it the third problem - someone above mentioned a PPA; what PPA?
Comment 8 Markus Mohrhard 2019-05-23 20:18:14 UTC
This issue seems to be mixing multiple updater concepts which increases the confusion on both sides.

The original reporter is talking about the "Update check" functionality which is actually not!! an updater. It only checks if a new version is available but will never install new versions. I think on Linux the general advise is to use your distro's LibreOffice build unless you want to put in some manual work. The distro builds sadly also provide more features as we still struggle with out old baseline.
Based on this I think this report should just be closed.


Heiko was talking about the experimental automatic MAR based updater which is only available in one daily build and has not been active for some time due to build failures. This feature is not expected to ever land in official TDF Linux builds due to various limitations. For Linux this feature is only meant to be used in combination with daily builds for QA.
Comment 9 nicholas_j 2019-05-23 20:25:22 UTC
> The original reporter is talking about the "Update check" functionality which is actually not!! an updater. It only checks if a new version is available but will never install new versions.

'Actually not an updater'; 'It only checks if a new version is available but will never install new versions'. (i) That is not what one expects from an updater. Possibly the expectation owes to Windows but the expectation exists. If this feature is retained then it seems to me that the UI should stress that it will not actually perform an update. However, so doing would throw the following further problem into relief. (ii) The current model is apt to cause frustration.

> The distro builds sadly also provide more features as we still struggle with out old baseline.

I do not understand. Is the idea that distro builds provide versions of Libre Office that are still experimental?
Comment 10 Markus Mohrhard 2019-05-23 20:42:48 UTC
(In reply to signupemail from comment #9)
> > The original reporter is talking about the "Update check" functionality which is actually not!! an updater. It only checks if a new version is available but will never install new versions.
> 
> 'Actually not an updater'; 'It only checks if a new version is available but
> will never install new versions'. (i) That is not what one expects from an
> updater. Possibly the expectation owes to Windows but the expectation
> exists. If this feature is retained then it seems to me that the UI should
> stress that it will not actually perform an update. However, so doing would
> throw the following further problem into relief. (ii) The current model is
> apt to cause frustration.

Note that the dialog and the menu never claim "Update". They explicitly only mention checking for updates and are meant to notify you when an update is available.

Especially on Linux it is basically impossible to implement an updater at all. Despite that the 'check for updates' feature is important as we still have way too many people who are unaware of newer builds and use old and insecure builds.

> 
> > The distro builds sadly also provide more features as we still struggle with out old baseline.
> 
> I do not understand. Is the idea that distro builds provide versions of
> Libre Office that are still experimental?

They just have the advantage of a more modern baseline. Our TDF builds are produced against an old CentOS to be able to support as many Linux users as possible which sadly means that not all features can be built on that platform.

I'm not sure what you want out of this bug report. We are not going to remove the update check and there is no way that we are going to implement an automatic updater on Linux.
Comment 11 nicholas_j 2019-05-23 21:07:12 UTC
> We are not going to remove the update check and there is no way that we are going to implement an automatic updater on Linux.

I made a suggestion that fits those desiderata (/constraints). That suggestion was: make it loudly clear that the update checker merely checks.

Next: 'there is no way that we are going to implement an automatic updater on Linux' - that seems unduly pessimistic or in a way too optimistic. Here is what I mean. Is there no way of at least slightly streamlining the cumbersome process that I described? One way of so doing would be to have a *single* .deb. An alternative might be to use some some of installer file.

Also, and to repeat: a PPA was mentioned (by Julien Nabet ); what PPA, please?

Thank you all for your time.
Comment 12 QA Administrators 2019-05-24 02:58:54 UTC Comment hidden (obsolete)
Comment 13 Julien Nabet 2019-05-24 06:46:43 UTC
(In reply to signupemail from comment #7)
>...
> Also - call it the third problem - someone above mentioned a PPA; what PPA?
https://launchpad.net/~libreoffice/+archive/ubuntu/ppa

Personally, I don't use it, I'm on Debian testing and it's freeze time so stuck to 6.1.5.2 for the moment. However, since I build master sources locally and update my local repo almost every day, I can test bugs with an up-to-date version.
Comment 14 Heiko Tietze 2019-05-24 09:16:12 UTC
Created attachment 151656 [details]
Update Checker

The checker itself is okay but it shows the mentioned dialog on click. Tested with  5.2.7.2, maybe we changed that meanwhile (I have a "Check for Updates..." item in the Help menu, so it might be an old daily build). Could you please double-check, Markus.
Comment 15 Xisco Faulí 2019-10-21 12:19:52 UTC
(In reply to Heiko Tietze from comment #14)
> Created attachment 151656 [details]
> Update Checker
> 
> The checker itself is okay but it shows the mentioned dialog on click.
> Tested with  5.2.7.2, maybe we changed that meanwhile (I have a "Check for
> Updates..." item in the Help menu, so it might be an old daily build). Could
> you please double-check, Markus.

I don't see why we need a dev advice here. the UX Team should be the one deciding whether we show the popup on click or not...
Comment 16 Heiko Tietze 2019-10-22 09:23:23 UTC
Markus, what is the dialog good for? I mean we continue to show the info bubble but never this dialog that has a couple of misleading interactions (download, install) it would solve the issue.
Comment 17 QA Administrators 2020-06-04 03:44:22 UTC Comment hidden (obsolete)
Comment 18 V Stuart Foote 2020-06-04 04:51:22 UTC
Agree with Markus comment 8 -- Update check does just that. It notifies user that a more current build is available to be installed.
Comment 19 Adolfo Jayme 2020-06-05 15:49:41 UTC
The misleading interactions in the dialog Heiko mentioned (comment 16) should be removed before considering closing this bug.
Comment 20 V Stuart Foote 2020-06-05 16:23:13 UTC
Created attachment 161659 [details]
dialog showing an update and clear indication for 'manual' download

(In reply to Heiko Tietze from comment #16)
> Markus, what is the dialog good for? I mean we continue to show the info
> bubble but never this dialog that has a couple of misleading interactions
> (download, install) it would solve the issue.

What is misleading about it? 

It clearly states:
=-=-=
Description
The automatic download of the update is currently not available.
Click 'Download...' to download LibreOffice 6.4.4 manually from the web site.
=-=-=

The TDF build download(s) for all packaging flavors are available from the linked web site (currently drops onto https://www.libreoffice.org/download/download/?lang=en-US&version=6.4.4&pk_campaign=update )

No it does not refer to distro based packaging--but so what? The user is notified to look--that is what the dialog is 'good for'!

IMHO, NAB and WF nothing to change with alert bar Bubble OR the Dialog